Subject: docker layer DiffID incorrect

From: Tom Hiller <[email-masked]>
Date: Wed, 31 Mar 2021 12:55:17 -0400

The Docker image created using "guix pack -f Docker" generates the 
sha256 checksum of config.json as the layer diff id used in 
manifiest.json, repositories and the parent directory name of 
layer.tar.  When extracting the contents of the Docker image, the sha256 
checksum of config.json does not match the used for the layer.  As 
Docker currently does not seem to verify this, the image will still work 
but may not always be the case.

I am not familiar with Guile Scheme, but as best as I can determine in 
guix/gnu/services/docker.scm the checksum calculated in layer-diff-idis 
the of Scheme native. and not the ultimate JSON document.**